Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceLogManagementService

    public interface VoiceLogManagementService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `voiceAddProcessLogs​(java.lang.Integer deviceId, java.util.List<java.util.Date> days)` |
  `void` | `voiceAddRadiusProcessLogs​(java.lang.Integer deviceId, java.util.List<java.util.Date> days)` |
  `void` | `voiceDeleteProcessLogs​(java.lang.Integer deviceId, java.util.List<java.util.Date> days)` |
  `Result<?>` | `voiceLogExist​(java.lang.Integer deviceId, java.util.Date month)` |
  `java.util.List<VoiceProcessLog>` | `voiceLogLoaded​(java.lang.Integer deviceId, java.util.Date month)` |
  `java.util.List<DataProcessRecord>` | `voiceLogLoading​(java.lang.Integer deviceId, java.util.Date month)` |
  `Result<?>` | `voiceRadiusLogExist​(java.lang.Integer deviceId, java.util.Date month)` |

- ## Method Details

  - ### voiceLogExist

    Result<?> voiceLogExist​(java.lang.Integer deviceId, java.util.Date month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceRadiusLogExist

    Result<?> voiceRadiusLogExist​(java.lang.Integer deviceId, java.util.Date month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceLogLoading

    java.util.List<DataProcessRecord> voiceLogLoading​(java.lang.Integer deviceId, java.util.Date month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceLogLoaded

    java.util.List<VoiceProcessLog> voiceLogLoaded​(java.lang.Integer deviceId, java.util.Date month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAddProcessLogs

    void voiceAddProcessLogs​(java.lang.Integer deviceId, java.util.List<java.util.Date> days) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAddRadiusProcessLogs

    void voiceAddRadiusProcessLogs​(java.lang.Integer deviceId, java.util.List<java.util.Date> days) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceDeleteProcessLogs

    void voiceDeleteProcessLogs​(java.lang.Integer deviceId, java.util.List<java.util.Date> days) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`